import { useQuery } from "@tanstack/react-query";
import { getBarcodeTemplateAttributesOptions } from "@/lib/client/@tanstack/react-query.gen";

const useBarcodeTemplateAttributesList = () => {
    const { isLoading, data, refetch } = useQuery(
        getBarcodeTemplateAttributesOptions()
    );

    return { barcodeTemplateAttributes: data?.items ?? [], refetch, isLoading };
};
export default useBarcodeTemplateAttributesList;
